// define a "class" that represents a Point
#ifndef CIRCLE_H
#define CIRCLE_H
#include "point.h"

typedef struct Circle {
   Point center;
   float radius;
   
   // TODO: Define function pointers represent required "methods" of this "class"
} Circle; // the name of the "class" is Point

    
// These are methods that can only be seen from within the source module (.c file) they're defined within
static float getCircleArea(Circle* pSelf);
static float getCirclePerimeter(Circle* pSelf);

// "constructor" method; must be public in order to be accessible outside the source module
void _Circle(Circle* pSelf, Point center, float radius);

#endif // CIRCLE_H
