// define a "class" that represents a Rectangle
#ifndef RECTANGLE_H
#define RECTANGLE_H
#include "point.h"

typedef struct Rectangle {
   Point p1;    // attributes defined via the Point typedef
   Point p2;

   // TODO: Define function pointers representing "methods" of this "class"
} Rectangle;

// These are methods that can only be seen from within the source module (.c file) they're defined within
static int getRectangleArea(Rectangle* pSelf);
static int getRectanglePerimeter(Rectangle* pSelf);

// "constructor" method; must be public in order to be accessible outside the source module
void _Rectangle(Rectangle* pSelf, Point p1, Point p2);

#endif
